<?php
/*
 * Copyright (C) 2006-2007 Tobias Toedter <t.toedter@gmx.net>
 *
 * This file is part of the Drupal Weather module.
 *
 * Weather is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Weather; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */



require_once "icao_codes.inc";

# We need the Drupal database for the ICAO codes, but nothing else,
# so we don't need a full Drupal bootstrap
chdir("../..");
require_once "./includes/bootstrap.inc";
drupal_bootstrap(DRUPAL_BOOTSTRAP_DATABASE);

$country = $_GET['country'];
if (get_magic_quotes_gpc()) {
  $country = stripslashes($country);
}

$places = _weather_get_places($country);

header('Content-type: text/xml');
echo "<?xml version=\"1.0\"?>\n";
echo "<places>\n";
foreach ($places as $icao => $name) {
  echo "<place icao=\"$icao\">".htmlspecialchars($name)."</place>\n";
}
echo "</places>\n";
